GET api/NTCosCompany/GetComponentOrderPriceList?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfComponentOrderPriceListDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ComponentOrderPriceListDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "ComponentList": [
      {
        "Name": "sample string 1",
        "Price": "sample string 2",
        "IsExcludeDiscount": true
      },
      {
        "Name": "sample string 1",
        "Price": "sample string 2",
        "IsExcludeDiscount": true
      }
    ],
    "OrderList": [
      {
        "Name": "sample string 1",
        "Price": "sample string 2",
        "IsExcludeDiscount": true
      },
      {
        "Name": "sample string 1",
        "Price": "sample string 2",
        "IsExcludeDiscount": true
      }
    ],
    "isPrice": true
  },
  "totalCount": 3
}